Delete inventories
DELETE
/merchants/{merchantCode}/inventories
const url = 'https://catalog.shopgate.io/v1/merchants/example/inventories';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"inventories":[{"productCode":"productCode1","locationCode":"DERetail1","sku":"SKU-1","bin":"1203","binLocation":"1203-4"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://catalog.shopgate.io/v1/merchants/example/inventories \ --header 'Content-Type: application/json' \ --data '{ "inventories": [ { "productCode": "productCode1", "locationCode": "DERetail1", "sku": "SKU-1", "bin": "1203", "binLocation": "1203-4" } ] }'Delete inventories
Note: The location has to be set up first.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
inventories
required
Array<object>
object
productCode
required
string
Example
productCode1locationCode
required
string
Example
DERetail1sku
required
null | string
Example
SKU-1bin
Bin. (Location in warehouse)
null | string
Example
1203binLocation
Bin location.
null | string
Example
1203-4Responses
Section titled “Responses”Successfully deleted
Media typeapplication/json
object
errors
required
Array<object>
object
code
number
entity
string
entityId
string | object
entityIndex
integer
reason
string
catalogCode
string
subentityPath
Array<string | number>
validationErrors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
Example
{ "errors": [ { "code": 400, "entity": "planet", "entityId": "pluto", "entityIndex": 1, "reason": "Planet pluto was not found (did you mean dwarf planet pluto?)", "subentityPath": [ "categories", 0 ], "validationErrors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } ]}Validation error
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant, location or inventory not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
